AutoCAD Inventor :: Creating Extrude Cut From Offset Ellipse
Feb 7, 2012
I am having trouble creating an extrude-cut from an offset ellipse. It seems that when the ellipse is offset, it becomes an associative spline. I need it to remain associative with the original ellipse.
But, when I try to extrude a profile using the new spline, it won't recognize the edge.
I can't just create a new ellipse, as it's profile won't quite match the offset one. I tried tracing over the ellipse with a spline, but it then requires a vast amount of dimensions to constrain it all together.
I'm trying to extrude-cut the red outlined profile (including the elliptical part of course)..
I am currently working with an elliptic profile that needs to be unfolded. The part consists of two sketches, with each sketch having two ellipses. The ellipses on each sketch then forms a cross-section where the thickness of it is supposed to be 8 mm (the first ellipse is offsett).
My plan is then to generate a mold for the inner and outer sides of this part by using the "Lofted flange" function and Rip, since I want the flat pattern of it. However, I've found that I can not select my offset ellipse when using Lofted flange, only the original one. I'm thinking that this might be caused due to the offset ellipse not actually being an ellipse but a spline (I read somewhere that there are two ways of offsetting an ellipse. One generates a mathematical ellipse and the other a spline). Creating an new ellipse and then saying that the a and b distance should be 8 mm less than the other ellipse will work, but that will not give me a constant wall thickness of 8 mm along the circumference of the elliptic cross-section.
I am a beginner when a extrude a feature and select a part surface for new sketch now i want is to offset that surface but i can,t there is + sign with mouse icon and something like fully constrained is written in down the window.
I drew the first sketch. i want to insert an offset plane. i use the plane tool, mark 2 sketch entities and a plane is formed. i move it, but it moves only on the plane of the sketch, the dialog box for the distance doesn't appear.
The path array in 2012 is a very useful addition but I can't crack a solution to creating an array around an elipse (like chairs around a board room table). The only way I've found it to work is to break the elipse and then join up the gap, essentially creating a closed eliptical arc. This gets a result but it seems a very scrappy work-around to something which should simply work.
I am currently working on a playground development for a school project where we have to build a 3D playground based off of autocad drawing, modles, etc.Below is a picture of a "crab see-saw" that I have in my park, and I am having trouble making it 3D. I have tried using "extrude", but, while it streches the drawing into 3D, only the crab's claws become a solid object. The crab's body remains "open".
Crab.jpg -> Normal Drawing crab2.jpg -> Extruded Drawing
The steps I take to extude it are:
1. Select extrude command 2. Select entire drawing 3. Click top of crab body for designated height 4. Type in 7 (units) as the strech command 5. Press enter
All the lines for the crab body are connecterd and I just can't figure out why it isn't working.
I have some cross sections showing existing and finished grade. The finished grade is a channel and floodplain with slopes to catch existing ground. I’d like to create a report of the offset and elevation at each grade break for the finished grade. Optionally, it could be offset and cut or fill at each grade break. I’ve found the tool to create annotation for the offset and elevation info, but the cross sections are too small on the drawings to accommodate all that text. Is there a way to generate a report for the section view group or even each section view that would contain that information?
I'm having difficulty with a sheet metal part creating a flat pattern for it. The shape is an ellipse with the dimensions shown in the second picture. When I attempt to create a flat pattern it just shows the side of the part. The sheet metal defaults are correct for the part and it was ripped to created a base point for the pattern. I need to create a DXF for manufacture. I would just use the flat pattern it gives me and mirror it twice to create a pattern but it doesn't factor in the radius of the part. How to create a correct flat pattern for this item?
I'm trying to dimension an ellipse in the Inventor Drawing Feature. I've attached the .idw files. (the .ipt is too large)I am aware that the ellipse doesn't have a constant radius and was wondering what is accepted practice for these dimensions?
I need to first dimension the external elliptical shape (which I'm struggling at), might just add a note.
Secondly I'm trying to dimension the mesh part, its not centrally align to the part and since I can't put a center mark on I'm not sure how I should dimension this...
I'm trying to use the equation curve to draw a super ellipse.The formula I'm trying to translate for inventor is the following.I'm guessing this should be possible using the abs() for the first section and an IF() statement for the second. The problem is Iäm not even getting the abs() to work at all. How to translate this formula?
I have build a solid in which the projection of the hole on the face of the cube is an ellipse. However, as I did not create the ellipses on the faces, but the ellipses are just the result of the projection of an empty egg inside an extruded rectangle on the faces of the extruded rectangle. How can I see the dimensions of the ellipses? I tried to use the measure distance command, but with no success.
Why can't Inventor constrain an ellipsoidal contour with a line? We have pressure cylinders which uses a 2:1 ellipse. These cylinder get welded to a base stand fixture. The surface of the ellipse nestles in between contact points of the base stand, in this case lines of geometry. Yet Inventor can't constrain them as such. Any good workflow (at the assembly level) so that we don't have to ground components and use the Analyze Interference tool to make sure we are right on the surfaces? I don't understand why it will work for a cylindrical surface but not an elliptical surface.
I need an offset lisp routine to offset a selected line a set distance on each side of the selected line and change the layer of the offset lines to the current layer, and then keep prompting me to select the next line for offsetting until I'm finished.
I am creating a folding door model and would like to use a parameter called EXERIOR WALL OFFSET. I have used this parameter before but am having trouble getting it to work within my family. The only difference is that I created one frame/jamb instead of 4 seperate profiles. The question is, why can't i get the jamb to move within the wall using the exterior wall offset parameter? It seems to move the sash/panels just fine but the jamb is constrainted somehow.
I am trying to create a station-offset label style that will drop the trailing zeros in the offset section - e.g. 15' instead of 15.00', but if the offset is not at a whole number, e.g. 15.01, etc. it will display the entire offset.
I created two expressions: IF(OFFSET-TRUNC(OFFSET)=0,.1/12,.00000001/12)
and this one: IF(OFFSET-TRUNC(OFFSET)!=0,.1/12,.00000001/12)
I then created two offset components, one called truncated, and one called full, and assigned the heights to match the expressions.
I have attached the file, the style is ACHD-Sta Off-Rt [copy]
I'm making a tube that is connected on another tube. I did this by skeleton modeling, for my tube extrusion i used Extrude To surface.
Is there any way to get the length of that extrude?
I know its possible to get the sweep length like this. Is there a way to get the extrude length as well?
'Set a reference to the active part document
Dim oDoc As PartDocument oDoc = ThisApplication.ActiveDocument Dim oDef As PartComponentDefinition oDef = oDoc.ComponentDefinition Dim opath As Path opath = oDef.Features.SweepFeatures.Item("TheSweep").Path Dim TotalLength As Double TotalLength = 0
I cannot extrude a 2D shape that is drawn by lines.It appears to be linked but is not .I can see the problem saying not a closed loop or a constraint but don't know how to fix it.
So I started on this project recently and was not the original modeler. This section of pipe has some problems where I'm guessing a sweep went wrong. I've tried everything I know to do to try to fix this section but haven't had any luck.
- This model has no tree and is shown as one soild "base"
- I tried to extrude cut the bad section
- I tried spliting the bad section
- I exported the file as an IGES and then tried to remove bad section
I'm sure there are some other round about ways I tried that I can't think of but in the end nothing has worked.
I'm using the extrude tool so that the rectangle that I'm extruding (downwards) will taper (and become thinner at the bottom). However, when I do this, even as a fraction (.01) it seems to get bigger at the bottom. How do I make it thinner at the bottom, not bigger?
I was watching on of the "Sales" videos on Autodesk.com. I saw them extruding a part surface to another surface of an imported part. I have a need to do this. When I try to extrude my part, I cant pick the surface that I need it to go to.
The video I am watching is here. Its titled "Native Translators". They show the surface being extruded at about the 0:53 mark.
The problem that I have is while working in the assembly, I double click on my part to edit it in the assembly. Next I chose Extrude and "To Next", but I am unable to pick the surface I need it to go to. The surface is in another part that is in the assembly. The part I am trying to extrude is adaptive, like in the video.
I did notice that in the video, when they pick the "to Next", the add/cut/intersect is greyed out.
I know my subject is somewhat mis-named, because I gather that you cannot really extrude from a 3D sketch, however I am looking for a way to accomplish what extruding a cut from a 3D sketch would accomplish.
The problem is this: I have a simple 2D sketch that I've projected onto a curved surface (imagine a square projected onto the outside of a hollow cylinder). Now that I have a 3D sketch on the surface of the cylinder, I want to use that sketch as a "cookie cutter" through one wall of the cylinder.
If I were to simply extrude the cut from the 2D sketch, the "cookie" is wider at the edges than at the center. I want the cut to be perpendicular to the projected 3D sketch at all points.
I've attached a simple example that illustrates my problem.
Sometimes after I have created a sketch I can not extrude it, sometimes it wont let me click on the profile, other times it will only let me cut away material not add it like I would like. I am sure it has something to do with something fundamental I am doing wrong within the sketch, but I am not sure what.